post
https://{domainname}/ca_apis/AgentManualDial
Initiates a manual dial call by the agent to a specific customer number.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Initiate outbound calls using this API, similar to manual dialing in the CloudAgent toolbar.
Note:
- Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
- If using a dynamic DID, ensure it’s in the correct format and configured for the campaign.
- Works only when the agent is logged in and in manual or blended mode.
Possible responses
| Success Call | {"ucid":"90XXXXXXXXXXXXX","status":"queued successfully"} |
| Invalid api_key / Missing apiKey key | {""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."", ""data"": null} |
| Invalid apiKey Value | {"status": "false","message": "Invalid User Details","data": null} |
| Invalid username key | "{""status"": ""false"",""message"": ""Username Should Not be Null or Empty."", ""data"": null}" |
| Passing an Invalid userName Value | {"status": "false","message": "Invalid User Details","data": null} |
| Missing userName key / Missing userName Value | "{""status"": ""false"",""message"": ""Username Should Not be Null or Empty."", ""data"": null}" |
| Passing Invalid agentID Key | {"status": "Fail","message": "Please Pass Valid AgentId are Valid skillName "} |
| Passing Invalid agentID Value | {"status": "Fail","message": "Please Pass Valid AgentId"} |
| Missing agentID key | {"status": "Fail","message": "Please Pass Valid AgentId are Valid skillName "} |
| Missing agentID Value | {"status": "Fail","message": "Please Pass Valid AgentId are Valid skillName "} |
| When the agent is not ready / the agent is not logged in / agent is not in manual or blended mode | {"status": "Fail","message": "Agent is not available"} |
| Passing Invalid CampaignName Key | {"status": "Fail","message": "Campaign name should not be null are empty"} |
| Passing Invalid CampaignName Value | {"status": "Fail","message": "Please pass Valid Campaign Details"} |
| Missing Campaign Name Key | {"status": "Fail","message": "Campaign name should not be null are empty"} |
| Missing Campaign Name Value | {"status": "Fail","message": "Campaign name should not be null are empty"} |
| When the campaign is offline | {"status": "Fail","message": "Please pass Valid Campaign Details"} |
| Campaign is not in running state / campaign is not enabled for manual calling | {"status": "Fail","message": "Please pass Valid Campaign Details"} |
| Passing an invalid dynamic DID value | { "status": "Fail", "message": "The assigned ‘dynamicDID’ parameter is not in proper format or associated with the campaign." } |
| Missing/empty dynamic did value | { "status": "Fail", "message": "Invalid dynamicDID format. It should be a number and may start with '+'" } |
| Passing DID, which is not assigned to the Campaign. | { "status": "Fail", "message": "The assigned ‘dynamicDID’ parameter is not in proper format or associated with the campaign." } |
| Passing by adding '+' in the dynamic DID value. | Call gets routed to the agent and customer successfully, and displays as +918xxxxxxx8 on the Dynamic DID column of the CDR report. |
| When no Dynamic DIDs are assigned in the campaign, and a dynamic DID parameter is passed in the API. | { "status": "Fail", "message": "The assigned ‘dynamicDID’ parameter is not in proper format or associated with the campaign." } |
| UCID=true | {"ucid":"914XXXXXXXXX","status":"queued successfully"} |
| UCID=false or ucid with invalid values | {"status":"queued successfully"} |
| with uui / without uui | {"ucid":"914XXXXXXXXX","status":"queued successfully"} |
| Missing parameters | "{""status"": ""false"",""message"": ""Username Should Not be Null or Empty."", ""data"": null}" |
| Attempting to make a call on a configured holiday | {"status": "Fail","message": "Call cannot be initiated on a holiday"} |
